### Hierarchy

- Console
  - Logger

## Index

### Properties

- Console

### Methods

- assert
- clear
- count
- debug
- dir
- dirxml
- error
- exception
- group
- groupCollapsed
- groupEnd
- info
- log
- msIsIndependentlyComposed
- profile
- profileEnd
- select
- table
- time
- timeEnd
- trace
- warn

## Properties

### Console

Console: object

- Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7879

#### Type declaration

- ##### constructor: function

  - new __type(): __type
  - - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7880

    #### Returns __type

- ##### prototype: Console

## Methods

### assert

- assert(test?: boolean, message?: string, ...optionalParams: any[]): void

- Inherited from Console.assert

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7855

  #### Parameters

  - ##### Optional test: boolean

  - ##### Optional message: string

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### clear

- clear(): void

- Inherited from Console.clear

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7856

  #### Returns void

### count

- count(countTitle?: string): void

- Inherited from Console.count

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7857

  #### Parameters

  - ##### Optional countTitle: string

  #### Returns void

### debug

- debug(message?: string, ...optionalParams: any[]): void

- Inherited from Console.debug

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7858

  #### Parameters

  - ##### Optional message: string

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### dir

- dir(value?: any, ...optionalParams: any[]): void

- Inherited from Console.dir

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7859

  #### Parameters

  - ##### Optional value: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### dirxml

- dirxml(value: any): void

- Inherited from Console.dirxml

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7860

  #### Parameters

  - ##### value: any

  #### Returns void

### error

- error(message?: any, ...optionalParams: any[]): void

- Inherited from Console.error

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7861

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### exception

- exception(message?: string, ...optionalParams: any[]): void

- Inherited from Console.exception

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7862

  #### Parameters

  - ##### Optional message: string

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### group

- group(title: string, options?: string): any

- Overrides Console.group

  - Defined in utils.ts:2

  #### Parameters

  - ##### title: string

  - ##### Optional options: string

  #### Returns any

### groupCollapsed

- groupCollapsed(title: string, options?: string): any

- Overrides Console.groupCollapsed

  - Defined in utils.ts:3

  #### Parameters

  - ##### title: string

  - ##### Optional options: string

  #### Returns any

### groupEnd

- groupEnd(): void

- Inherited from Console.groupEnd

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7865

  #### Returns void

### info

- info(message?: any, ...optionalParams: any[]): void

- Inherited from Console.info

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7866

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### log

- log(message?: any, ...optionalParams: any[]): void

- Inherited from Console.log

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7867

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### msIsIndependentlyComposed

- msIsIndependentlyComposed(element: Element): boolean

- Inherited from Console.msIsIndependentlyComposed

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7868

  #### Parameters

  - ##### element: Element

  #### Returns boolean

### profile

- profile(reportName?: string): void

- Inherited from Console.profile

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7869

  #### Parameters

  - ##### Optional reportName: string

  #### Returns void

### profileEnd

- profileEnd(): void

- Inherited from Console.profileEnd

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7870

  #### Returns void

### select

- select(element: Element): void

- Inherited from Console.select

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7871

  #### Parameters

  - ##### element: Element

  #### Returns void

### table

- table(...data: any[]): void

- Inherited from Console.table

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7872

  #### Parameters

  - ##### Rest ...data: any[]

  #### Returns void

### time

- time(timerName?: string): void

- Inherited from Console.time

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7873

  #### Parameters

  - ##### Optional timerName: string

  #### Returns void

### timeEnd

- timeEnd(timerName?: string): void

- Inherited from Console.timeEnd

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7874

  #### Parameters

  - ##### Optional timerName: string

  #### Returns void

### trace

- trace(message?: any, ...optionalParams: any[]): void

- Inherited from Console.trace

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7875

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### warn

- warn(message?: any, ...optionalParams: any[]): void

- Inherited from Console.warn

  - Defined in /home/travis/build/coosto/ShortcutJS/node_modules/typescript/lib/lib.es6.d.ts:7876

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

Generated using TypeDoc